curl --request POST \
--url https://production.hifibridge.com/v2/wallets/swaps \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"requestId": "1ab3e6e0-4839-4dbe-89c3-b06d9645ae86",
"source": {
"userId": "05179f69-1988-4b46-a847-dd4eea0984d6",
"chain": "POLYGON",
"currency": "usdt",
"amount": "10000"
},
"destination": {
"chain": "POLYGON",
"currency": "usdc",
"userId": "05179f69-1988-4b46-a847-dd4eea0984d6",
"externalWalletId": "64fc4e9d-4839-4384-b4a0-0376af2c9b2e",
"walletAddress": "0xE9cfBf1D690565579D823264170eE357f80e9A34",
"amount": "10000"
},
"limitPrice": "0.9990",
"cancelAfterSeconds": 3600
}
'import requests
url = "https://production.hifibridge.com/v2/wallets/swaps"
payload = {
"requestId": "1ab3e6e0-4839-4dbe-89c3-b06d9645ae86",
"source": {
"userId": "05179f69-1988-4b46-a847-dd4eea0984d6",
"chain": "POLYGON",
"currency": "usdt",
"amount": "10000"
},
"destination": {
"chain": "POLYGON",
"currency": "usdc",
"userId": "05179f69-1988-4b46-a847-dd4eea0984d6",
"externalWalletId": "64fc4e9d-4839-4384-b4a0-0376af2c9b2e",
"walletAddress": "0xE9cfBf1D690565579D823264170eE357f80e9A34",
"amount": "10000"
},
"limitPrice": "0.9990",
"cancelAfterSeconds": 3600
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
requestId: '1ab3e6e0-4839-4dbe-89c3-b06d9645ae86',
source: {
userId: '05179f69-1988-4b46-a847-dd4eea0984d6',
chain: 'POLYGON',
currency: 'usdt',
amount: '10000'
},
destination: {
chain: 'POLYGON',
currency: 'usdc',
userId: '05179f69-1988-4b46-a847-dd4eea0984d6',
externalWalletId: '64fc4e9d-4839-4384-b4a0-0376af2c9b2e',
walletAddress: '0xE9cfBf1D690565579D823264170eE357f80e9A34',
amount: '10000'
},
limitPrice: '0.9990',
cancelAfterSeconds: 3600
})
};
fetch('https://production.hifibridge.com/v2/wallets/swaps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transferType": "WALLET.SWAP",
"transferDetails": {
"id": "dc923cc1-d74b-58f6-9fe4-9e9c6eb8dc37",
"requestId": "1ab3e6e0-4839-4dbe-89c3-b06d9645ae86",
"status": "COMPLETED",
"createdAt": "2025-08-20T03:55:29.437108+00:00",
"updatedAt": "2025-08-20T04:08:10.837+00:00",
"source": {
"currency": "usdc",
"amount": 10,
"userId": "05179f69-1988-4b46-a847-dd4eea0984d6"
},
"destination": {
"currency": "usdt",
"userId": "05179f69-1988-4b46-a847-dd4eea0984d6",
"externalWalletId": null,
"amount": null,
"chain": "POLYGON",
"walletAddress": "0xe5727a4B1d93A26D6A7Adfaae145EFa41ED7f204"
},
"error": null,
"errorDetails": null,
"cancellable": true,
"autoCancelAt": "2026-07-13T02:00:00.000Z",
"cancelRequestedAt": null,
"quoteInformation": {
"sendGross": {
"amount": "10",
"currency": "usdc"
},
"sendNet": {
"amount": "10",
"currency": "usdc"
},
"receiveGross": {
"amount": "10",
"currency": "usdc"
},
"receiveNet": {
"amount": "10",
"currency": "usdc"
},
"rate": "1",
"limitPrice": "0.9990",
"expiresAt": "2025-08-20T03:55:59.539+00:00"
}
}
}{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}Create a swap
Create a swap request to exchange one cryptocurrency for another within the same chain or across chains.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Unique identifier for the swap request (recommend using uuid v4)
"1ab3e6e0-4839-4dbe-89c3-b06d9645ae86"
Source wallet information for the swap
Show child attributes
Show child attributes
Destination wallet information for the swap
Show child attributes
Show child attributes
Optional positive limit price, expressed as destination-currency units per one source-currency unit. Supported only for direct USDT/USDC swaps in either direction and limited to four decimal places. Omit to use market pricing.
^(?=.*[1-9])\d+(?:\.\d{1,4})?$"0.9990"
Optional number of seconds after creating the swap when execution should be cancelled if it has not already started. Supported only for direct USDT/USDC swaps in either direction. Omit to disable automatic cancellation.
60 <= x <= 864003600